/*This SQL script uses the Demo database.

  This sample illustrates use of FLUSH option in COMMIT statement.
  This SQL script contains 9 queries.
  Table "test" is  deleted, then recreated and filled with data.
  A transaction is started, data is inserted, then changes are 
  comitted and immediately flushed to disk. At last you can see
  what data is contained in the table after all queries.*/

drop table MyTable;
create table MyTable (ID AutoInc, val1 Integer, val2 varchar(10));
insert into MyTable (val1, val2) values (2,'2');
insert into MyTable (val1, val2) values (4,'3');
start transaction;
insert into MyTable (val1, val2) values (5,'Flush1');
insert into MyTable (val1, val2) values (7,'Flush2');
commit flush;
select * from MyTable;
