/* SQL-92 Table Creation Script*/

DROP TABLE IF EXISTS "Events";

CREATE TABLE IF NOT EXISTS "Events"
(
   "EventNo" INTEGER,
   "VenueNo" INTEGER,
   "Event_Name" VARCHAR(30),
   "Event_Date" DATE,
   "Event_Time" TIME,
   "Event_Description" MEMO,
   "Ticket_price" FLOAT,
   "Event_Photo" GRAPHIC,
PRIMARY KEY ("RecordID") COMPRESS NONE
LOCALE CODE 0
USER MAJOR VERSION 1
);


INSERT INTO "events" VALUES (1, 5, 
         'Men'+#39+'s Track and Field', '1996-06-15', '10:00', 
         'Outdoor arena, one of the most popular e'+
         'vents.  High speed contenders for this m'+
         'edal round.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (2, 3, 
         '500 meter Men'+#39+'s Speed Skating', '1996-06-16', '08:00', 
         'World record for 500 meter speedskating '+
         'could be set by the hometown favorite.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (3, 5, 
         '100 Meter Individual Medley', '1996-06-21', '14:00', 
         'Consult refund policy for cancellations '+
         'due to weather.'+#13+''+#10+''+#13+''+#10+'Semi-Final round, com'+
         'bonation individual swim:  Freestyle, bu'+
         'tterfly, breast-stroke and back-stroke.'+
         '', 7.5, NULL);
INSERT INTO "events" VALUES (4, 2, 
         'Women'+#39+'s Basketball Finals', '1996-06-21', '20:00', 
         'Held indoors at Harmon Arena.  Last Olym'+
         'pic medal round went to an all-time high'+
         ' scoring game of 127 points.  '+
         '', 7.5, NULL);
INSERT INTO "events" VALUES (5, 7, 
         'Women'+#39+'s Cycling 20mi', '1996-06-19', '09:00', 
         'Consult map of venue (City Route).  This'+
         ' event has limited spectator access exce'+
         'pt in beachfront locations.'+
         '', 7.5, NULL);
INSERT INTO "events" VALUES (6, 1, 
         'Men'+#39+'s Gymnastics Finals', '1996-06-20', '09:00', 
         'All comps suspended for this event.  Con'+
         'tact VIP office for exception requests.'+
         '', 12.5, NULL);
INSERT INTO "events" VALUES (7, 1, 
         'Women'+#39+'s Hockey Finals', '1996-06-20', '11:00', 
         'Limited seating due to arena reconfigura'+
         'tion.'+
         '', 12.5, NULL);
INSERT INTO "events" VALUES (8, 3, 
         'Women'+#39+'s High Dive Finals', '1996-06-19', '22:00', 
         'World premiere event.  All comps are sus'+
         'pended.'+
         '', 7.5, NULL);
INSERT INTO "events" VALUES (9, 1, 
         'Karate Finals', '1996-06-21', '16:00', 
         'Possible venue change due to weather.', 7.5, NULL);
INSERT INTO "events" VALUES (10, 8, 
         'Kayak Level IV Finals', '1996-06-20', '16:00', 
         'River access is restricted.  Advise spec'+
         'tators of access points.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (11, 5, 
         'Lacrosse Semi-finals', '1996-06-17', '14:00', 
         'Introduced this year to the agenda, sure'+
         ' to be a popular return event.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (12, 5, 
         'Polo Finals', '1996-06-22', '13:00', 
         'Limited seating due to reconfiguration o'+
         'f the venue.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (13, 3, 
         'Women'+#39+'s Soccer Finals', '1996-06-23', '14:00', 
         'Event_Description', 7.5, NULL);
INSERT INTO "events" VALUES (14, 9, 
         'Surfing:  Freestyle Finals', '1996-06-23', '08:00', 
         'Limited access:  advise spectators of ro'+
         'utes to parking areas.'+
         '', 7.5, NULL);
INSERT INTO "events" VALUES (15, 10, 
         'Swimming: 100 m Finals', '1996-06-23', '12:00', 
         'Event_Description', 12.5, NULL);
INSERT INTO "events" VALUES (16, 5, 
         'Track & Field:  Women'+#39+'s Finals', '1996-06-22', '12:00', 
         'Event_Description', 12.5, NULL);
INSERT INTO "events" VALUES (17, 4, 
         'Archery Finals', '1996-06-01', '17:00', 
         'Attendance limited.  Contact VIP office '+
         'for exceptions.'+
         '', 5, NULL);
INSERT INTO "events" VALUES (18, 0, 
         'Men'+#39+'s Hockey Finals', '1998-12-02', '20:00', 
         'The battle for the gold.', 0, NULL);
INSERT INTO "events" VALUES (19, 0, 
         'Men'+#39+'s Downhill Giant Solom', '1998-01-15', '12:00', 
         'Men'+#39+'s Downhill Giant Solom always provid'+
         'es a chilly yet thrilling show.'+#13+''+#10+''+#13+''+#10+'Event'+
         ' follows the women'+#39+'s speed jump event, s'+
         'o there may be traffic.  Arrive early.'+
         '', 0, NULL);
INSERT INTO "events" VALUES (20, 0, 
         'Men'+#39+'s Ski Jump Finals', '1998-01-15', '10:00', 
         'Event_Description', 0, NULL);
INSERT INTO "events" VALUES (21, 0, 
         'Women'+#39+'s Downhill Ski Finals', '1998-01-26', '14:00', 
         'Event_Description', 0, NULL);
INSERT INTO "events" VALUES (22, 0, 
         'Men'+#39+'s Relay', '1996-06-20', '15:00', 
         'Event_Description', 0, NULL);
INSERT INTO "events" VALUES (23, 0, 
         'Baseball Quarter-finals', '1996-06-15', '14:00', 
         'Event_Description', 10, NULL);
